org.apache.coyote

## Class ContainerThreadMarker

- java.lang.Object
- - org.apache.coyote.ContainerThreadMarker

-     public class ContainerThreadMarker
      extends Object

  Used to mark threads that have been allocated by the container to process data from an incoming connection. Application created threads are not container threads and neither are threads taken from the container thread pool to execute AsyncContext.start(Runnable).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerThreadMarker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clear()`
    `static boolean` | `isContainerThread()`
    `static void` | `set()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerThreadMarker

          public ContainerThreadMarker()

  - ### Method Detail

    - #### isContainerThread

          public static boolean isContainerThread()

    - #### set

          public static void set()

    - #### clear

          public static void clear()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.